from distutils.core import setup
from os import path
from codecs import open

here = path.abspath(path.dirname(__file__))
# Get the long description from the relevant file
with open(path.join(here, 'README.md'), encoding='utf-8') as f:
    long_description = f.read()

with open(path.join(here, 'README'), mode='w', encoding='utf-8') as f:
    f.write(long_description)

setup(
    name='herringbone',
    version='1.0',
    packages=['herringbone'],
    url='https://github.com/faph/herringbone-pattern',
    license='Apache v2.0',
    author='Florenz A.P. Hollebrandse',
    author_email='f.a.p.hollebrandse@protonmail.ch',
    description='Python algorithm to create a set of points using the herringbone pattern used in environmental sciences.',
    long_description=long_description,
    classifiers=[
        "Programming Language :: Python",
        "Programming Language :: Python :: 2",
        "Programming Language :: Python :: 3",
        "Development Status :: 4 - Beta",
        "Environment :: Other Environment",
        "Intended Audience :: Education",
        "Intended Audience :: End Users/Desktop",
        "Intended Audience :: Science/Research",
        "License :: OSI Approved :: Apache Software License",
        "Operating System :: OS Independent",
        "Topic :: Scientific/Engineering",
        "Topic :: Scientific/Engineering :: GIS"
    ],
)
